| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ValSeriesTracker Class Referenceabstract
Algo

Base class for a tracker that tracks something (e.g. min, max, a certain value)++ from one ValueSeries<float> to another. More...

`#include <valseriestracker.h>`

Inheritance diagram for ValSeriesTracker:
[legend]

## Public Member Functions
virtual | ~ValSeriesTracker ()
virtual void | fillPar (IOPar &par) const
virtual bool | isOK () const
virtual float | quality () const
virtual void | setSource (const ValueSeries< float > *, int sz, float depth)
virtual void | setTarget (const ValueSeries< float > *, int sz, float initialdepth)
virtual float | targetDepth () const
virtual float | targetValue () const
virtual bool | track ()=0
virtual const char * | type ()=0
virtual bool | usePar (const IOPar &par)

## Protected Member Functions
| ValSeriesTracker ()

## Protected Attributes
float | sourcedepth_
int | sourcesize_
const ValueSeries< float > * | sourcevs_
float | targetdepth_
int | targetsize_
float | targetvalue_
const ValueSeries< float > * | targetvs_

## Detailed Description

Base class for a tracker that tracks something (e.g. min, max, a certain value)++ from one ValueSeries<float> to another.

<>

## Constructor & Destructor Documentation

## ◆ ~ValSeriesTracker()

virtual ValSeriesTracker::~ValSeriesTracker | ( |  | ) |
| virtual

## ◆ ValSeriesTracker()

ValSeriesTracker::ValSeriesTracker | ( |  | ) |
| protected

## Member Function Documentation

## ◆ fillPar()

virtual void ValSeriesTracker::fillPar | ( | IOPar & | par | ) | const
| inline virtual

Reimplemented in EventTracker.

## ◆ isOK()

virtual bool ValSeriesTracker::isOK | ( |  | ) | const
| virtual

Returns
  whether the settings are OK, and it is possible to track.

Reimplemented in EventTracker.

## ◆ quality()

virtual float ValSeriesTracker::quality | ( |  | ) | const
| inline virtual

Reimplemented in EventTracker.

## ◆ setSource()

virtual void ValSeriesTracker::setSource | ( | const ValueSeries< float > * | ,
|  | int | sz,
|  | float | depth )
| virtual

## ◆ setTarget()

virtual void ValSeriesTracker::setTarget | ( | const ValueSeries< float > * | ,
|  | int | sz,
|  | float | initialdepth )
| virtual

## ◆ targetDepth()

virtual float ValSeriesTracker::targetDepth | ( |  | ) | const
| inline virtual

## ◆ targetValue()

virtual float ValSeriesTracker::targetValue | ( |  | ) | const
| inline virtual

## ◆ track()

virtual bool ValSeriesTracker::track | ( |  | ) |
| pure virtual

Calculates a new value for targetdepth_.

Implemented in EventTracker.

## ◆ type()

virtual const char * ValSeriesTracker::type | ( |  | ) |
| pure virtual

Implemented in EventTracker.

## ◆ usePar()

virtual bool ValSeriesTracker::usePar | ( | const IOPar & | par | ) |
| inline virtual

Reimplemented in EventTracker.

## Member Data Documentation

## ◆ sourcedepth_

float ValSeriesTracker::sourcedepth_
| protected

## ◆ sourcesize_

int ValSeriesTracker::sourcesize_
| protected

## ◆ sourcevs_

const ValueSeries<float>* ValSeriesTracker::sourcevs_
| protected

## ◆ targetdepth_

float ValSeriesTracker::targetdepth_
| protected

## ◆ targetsize_

int ValSeriesTracker::targetsize_
| protected

## ◆ targetvalue_

float ValSeriesTracker::targetvalue_
| protected

## ◆ targetvs_

const ValueSeries<float>* ValSeriesTracker::targetvs_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025